summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDet2017-07-29 22:40:08 +0300
committerDet2017-07-29 22:40:08 +0300
commit5d2f65b2dd4c259a23d8c983d51d9bcb2e981a57 (patch)
treeabcb184248b7db9924b55ab925a8a84a97551248
parentb355fa8667674bf828b0efbe095ed8446f1979e9 (diff)
downloadaur-5d2f65b2dd4c259a23d8c983d51d9bcb2e981a57.tar.gz
Build tweaks
-rw-r--r--PKGBUILD2
1 files changed, 1 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index bbdca15209f..f53f7fcde55 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -25,7 +25,7 @@ source=("git+https://git.videolan.org/git/x264.git")
sha256sums=('SKIP')
# 8bit or 10bit?
-if [[ ${_build} = 1 ]] || pacman -Q libx264-git &>/dev/null; then
+if [[ ${_build} = 1 ]] || ( [[ ${_build} = 0 ]] && pacman -Q libx264-git &>/dev/null ); then
pkgname=('x264-git' 'libx264-git' 'libx264-all-git')
elif [[ ${_build} = 2 ]] || pacman -Q libx264-10bit-git &>/dev/null; then
pkgname=('x264-git' 'libx264-10bit-git' 'libx264-all-git')